package userrepository

import (
	authdomain "legalgo-BE-go/internal/domain/auth"
)

func (ur *UserRepository) CreateUser(spec *authdomain.User) (*authdomain.User, error) {
	if err := ur.DB.Create(&spec).Error; err != nil {
		return nil, err
	}

	return spec, nil
}
